Page MenuHomePhabricator

eina: fix memory leak when a Eina_Value as promise is returned, but no dispatching Eina_Future is listening on it.
ClosedPublic

Authored by cedric on Jan 16 2019, 6:28 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jan 16 2019, 6:28 PM
cedric updated this revision to Diff 18572.Jan 17 2019, 4:40 PM

Rebase.

SanghyeonLee accepted this revision.Jan 18 2019, 3:26 AM

looks good to me.

This revision is now accepted and ready to land.Jan 18 2019, 3:26 AM
cedric updated this revision to Diff 18629.Jan 18 2019, 12:19 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

This revision was automatically updated to reflect the committed changes.
SanghyeonLee edited the summary of this revision. (Show Details)Jan 25 2019, 2:32 AM